timed_mutex.hpp File Reference

Pmem-resident timed_mutex. More...

`#include <chrono>`
`#include "libpmemobj++/detail/conversions.hpp"`
`#include "libpmemobj/thread.h"`
Include dependency graph for timed_mutex.hpp:

Go to the source code of this file.

## Classes

class | pmem::obj::timed_mutex
| Persistent memory resident timed_mutex implementation. More...

## Detailed Description

Pmem-resident timed_mutex.